Gentoo Logo

EnergyMech: Denial of Service

Content:

1.  Gentoo Linux Security Advisory

Version Information

Advisory Reference GLSA 200606-26 / emech
Release Date June 26, 2006
Latest Revision July 29, 2006: 02
Impact normal
Exploitable remote
Package Vulnerable versions Unaffected versions Architecture(s)
net-irc/emech < 3.0.2 >= 3.0.2 All supported architectures

Related bugreports: #132749

Synopsis

A Denial of Service vulnerability was discovered in EnergyMech that is easily exploitable via IRC.

2.  Impact Information

Background

EnergyMech is an IRC bot programmed in C.

Description

A bug in EnergyMech fails to handle empty CTCP NOTICEs correctly, and will cause a crash from a segmentation fault.

Impact

By sending an empty CTCP NOTICE, a remote attacker could exploit this vulnerability to cause a Denial of Service.

3.  Resolution Information

Workaround

There is no known workaround at this time.

Resolution

All EnergyMech users should update to the latest stable version:

Code Listing 3.1: Resolution

# emerge --sync
# emerge --ask --oneshot --verbose ">=net-irc/emech-3.0.2"

4.  References



Print

Page updated June 26, 2006

Summary: This is a Gentoo Linux Security Advisory

Security Team
Contact Address

Donate to support our development efforts.

Copyright 2001-2014 Gentoo Foundation, Inc. Questions, Comments? Contact us.